import 'dart:math';
import 'dart:typed_data';

Uint8List randBytes(int n) {
  var src = Random.secure();
  return Uint8List.fromList(List<int>.generate(n, (index) => src.nextInt(256)));
}

bool equal<T>(Iterable<T> a, Iterable<T> b) {
  var i = 0;
  for (var v in a) {
    if (b.length <= i) {
      return false;
    }
    if (b.elementAt(i) != v) {
      return false;
    }
    i++;
  }
  return true;
}
